# neon

neon-config
1

# neon-config

script providing information about installed copy of neon library

    	  neon-config
    	  --prefix

    	    --cflags
    	    --libs
    	    --la-file
    	    --support feature
    	    --help
    	    --version

## Description

The `neon-config` script provides information about an installed copy of the neon library. The `--cflags` and `--libs` options instruct how to compile and link an application against the library; the `--version` and `--support` options can help determine whether the library meets the applications requirements.

## Options

`--cflags`

  Print the flags which should be passed to the C compiler when compiling object files, when the object files use neon header files.

`--libs`

  Print the flags which should be passed to the linker when linking an application which uses the neon library

`--la-file`

  Print the location of the libtool library script, `libneon.la`, which can be used to link against &neon; by applications using libtool.

`--version`

  Print the version of the library

`--prefix` dir

  If dir is given; relocate output of `--cflags` and `--libs` as if neon was installed in given prefix directory. Otherwise, print the installation prefix of the library.

`--support` feature

  The script exits with success if feature is supported by the library.

`--help`

  Print help message; includes list of known features and whether they are supported or not.

## Example

Below is a Makefile fragment which could be used to build an application against an installed neon library, when the `neon-config` script can be found in `$PATH`.

    CFLAGS = `neon-config --cflags`
    LIBS = `neon-config --libs`
    OBJECTS = myapp.o
    TARGET = myapp

    $(TARGET): $(OBJECTS)
    	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)

    myapp.o: myapp.c
    	$(CC) $(CFLAGS) -c myapp.c -o myapp.o